## org.apache.fop.fo
Class Status

    java.lang.Object
      |
      +--org.apache.fop.fo.Status

public class Status
extends java.lang.Object

classes representating the status of laying out a formatting object

Field Summary
`static int` `AREA_FULL_NONE`
`static int` `AREA_FULL_SOME`
`protected int` `code`
`static int` `FORCE_COLUMN_BREAK`
`static int` `FORCE_PAGE_BREAK`
`static int` `FORCE_PAGE_BREAK_EVEN`
`static int` `FORCE_PAGE_BREAK_ODD`
`static int` `KEEP_WITH_NEXT`
`static int` `OK`

Constructor Summary
`Status(int code)`

Method Summary
`int` `getCode()`
`boolean` `isIncomplete()`
`boolean` `isPageBreak()`
`boolean` `laidOutNone()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### code

    protected int code

### OK

    public static final int OK

### AREA_FULL_NONE

    public static final int AREA_FULL_NONE

### AREA_FULL_SOME

    public static final int AREA_FULL_SOME

### FORCE_PAGE_BREAK

    public static final int FORCE_PAGE_BREAK

### FORCE_PAGE_BREAK_EVEN

    public static final int FORCE_PAGE_BREAK_EVEN

### FORCE_PAGE_BREAK_ODD

    public static final int FORCE_PAGE_BREAK_ODD

### FORCE_COLUMN_BREAK

    public static final int FORCE_COLUMN_BREAK

### KEEP_WITH_NEXT

    public static final int KEEP_WITH_NEXT

Constructor Detail

### Status

    public Status(int code)

Method Detail

### getCode

    public int getCode()

### isIncomplete

    public boolean isIncomplete()

### laidOutNone

    public boolean laidOutNone()

### isPageBreak

    public boolean isPageBreak()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.